/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.enums;

import java.util.HashMap;

import com.redhat.rhevm.api.model.OsType;

public enum PowerShellOsType {

    Unassigned(OsType.UNASSIGNED),
    WindowsXP(OsType.WINDOWS_XP),
    Windows2003(OsType.WINDOWS_2003),
    Windows2008(OsType.WINDOWS_2008),
    OtherLinux(OsType.OTHER_LINUX),
    Other(OsType.OTHER),
    RHEL5(OsType.RHEL_5),
    RHEL4(OsType.RHEL_4),
    RHEL3(OsType.RHEL_3),
    Windows2003x64(OsType.WINDOWS_2003X64),
    Windows7(OsType.WINDOWS_7),
    Windows7x64(OsType.WINDOWS_7X64),
    RHEL5x64(OsType.RHEL_5X64),
    RHEL4x64(OsType.RHEL_4X64),
    RHEL3x64(OsType.RHEL_3X64),
    Windows2008x64(OsType.WINDOWS_2008X64),
    Windows2008R2x64(OsType.WINDOWS_2008R2),
    RHEL6(OsType.RHEL_6),
    RHEL6x64(OsType.RHEL_6X64);

    private static HashMap<OsType, PowerShellOsType> mapping;
    static {
        mapping = new HashMap<OsType, PowerShellOsType>();
        for (PowerShellOsType value : values()) {
            mapping.put(value.model, value);
        }
    }

    private OsType model;

    private PowerShellOsType(OsType model) {
        this.model = model;
    }

    public OsType map() {
        return model;
    }

    public static PowerShellOsType forModel(OsType model) {
        return mapping.get(model);
    }
}
