/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.ArrayList;
import java.util.List;

import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellStorageConnection {

    private String iqn;

    public String getIqn() {
        return iqn;
    }
    public void setIqn(String iqn) {
        this.iqn = iqn;
    }

    public static List<PowerShellStorageConnection> parse(PowerShellParser parser, String output) {
        List<PowerShellStorageConnection> ret = new ArrayList<PowerShellStorageConnection>();

        for (PowerShellParser.Entity entity : parser.parse(output)) {
            PowerShellStorageConnection cnx = new PowerShellStorageConnection();

            cnx.setIqn(entity.get("iqn"));

            ret.add(cnx);
        }

        return ret;
    }
}
